DIREWOLF(1)

NAME
direwolf - Soundcard TNC for packet radio.

SYNOPSIS
direwolf [ options ] [ - | udp:9999 ]

The first audio channel can be streamed thru stdin or a UDP port. This is typically used with an SDR receiver.

DESCRIPTION
direwolf is a software "soundcard" modem/TNC and APRS encoder/decoder. It can be used stand-alone to receive APRS messages, as a digipeater, APRStt gateway, or Internet Gateway (IGate). It can also be used as a virtual TNC for other applications such as APRSIS32, UI-View32, Xastir, APRS-TW, YAAC, UISS, Linux AX25, SARTrack, RMS Express, and many others.

OPTIONS

-c file
    Read configuration file from specified location rather than the default locations.

-l logdir
    Generate daily log files in specified directory. Use "." for current directory.

-L logfile
    Generate single log file with fixed name.

-r n
    Audio sample rate per second for first channel. Default 44100.

-n n
    Number of audio channels for first device. 1 or 2. Default 1.

-b n
    Audio sample size for first channel. 8 or 16. Default 16.

-B n
    Data rate in bits/sec for first channel. Standard values are 300, 1200, 2400, 4800, 9600.
        300 bps defaults to AFSK tones of 1600 & 1800.
        1200 bps uses AFSK tones of 1200 & 2200.
        2400 bps uses QPSK based on V.26 standard.
        4800 bps uses 8PSK based on V.27 standard.
        9600 bps and up uses K9NG/G3RUH standard.
        AIS for ship Automatic Identification System.
        EAS for Emergency Alert System (EAS) Specific Area Message Encoding (SAME).

-g  Force G3RUH modem regardless of data rate.

-j  2400 bps QPSK compatible with Dire Wolf <= 1.5.

-J  2400 bps QPSK compatible with MFJ-2400.

-D n
    Divide audio sample by n for first channel.

-X n
    1 to enable FX.25 transmit. 16, 32, 64 for specific number of check bytes.

-I n
    Enable IL2P transmit. n=1 is recommended. 0 uses weaker FEC.

-i n
    Enable IL2P transmit, inverted polarity. n=1 is recommended. 0 uses weaker FEC.

-d x
    Debug options. Specify one or more of the following in place of x.
        a = AGWPE network protocol client.
        k = KISS serial port client.
        n = Network KISS client.
        u = Display non-ASCII text in hexadecimal.
        p = Packet dump in hexadecimal.
        g = GPS interface.
        W = Waypoints for position or object reports.
        t = Tracker beacon.
        o = Output controls such as PTT and DCD.
        i = IGate
        h = Hamlib verbose level. Repeat for more.
        m = Monitor heard station list.
        f = Packet filtering.
        x = FX.25 increase verbose level.
        d = APRStt (DTMF to APRS object conversion).

-q x
    Quiet (suppress output). Specify one or more of the following in place of x.
        h = Heard line with the audio level.
        d = Decoding of APRS packets.
        x = Silence FX.25 information.

-t n
    Text colors. 0=disabled. 1=default. 2,3,4,... alternatives. Use 9 to test compatibility with your terminal.

-p  Enable pseudo terminal for KISS protocol.

-x  Send Xmit level calibration tones.
        a = Alternating mark/space tones.
        m = steady Mark tone (e.g. 1200 Hz)
        s = steady Space tone (e.g. 2200 Hz)
        p = selence (set Ptt only).
        Optionally add a number to specify radio channel.

-u  Print UTF-8 test string and exit.

-S  Print Symbol tables and exit.

-a n
    Report audio device statistics each n seconds.

-T fmt
    Time stamp format for sent and received frames.

-e ber
    Receive Bit Error Rate (BER), e.g. 1e-5

EXAMPLES
gqrx (2.3 and later) has the ability to send streaming audio through a UDP socket to another application for further processing. direwolf can listen over a UDP port with options like this:

    direwolf -n 1 -r 48000 -b 16 udp:7355

Other SDR applications might produce audio on stdout so it is convenient to pipe into the next application. In this example, the final "-" means read from stdin.

    rtl_fm -f 144.39M -o 4 - | direwolf -n 1 -r 24000 -b 16 -

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, cm108, decode_aprs, direwolf, gen_packets, kissutil, ll2utm, log2gpx, text2tt, tt2text, utm2ll